MODULE parm_mod
IMPLICIT NONE
INTEGER, PARAMETER :: prec=KIND(1.0D0)    ! defines precision of problem, # of decimal points
INTEGER, PARAMETER :: iprec=SELECTED_INT_KIND(9)    ! defines precision of integers
INTEGER, PARAMETER :: DRYOBE=1,DEADOBE=2,FLOWOBE=3          ! how to treat the floodplain
INTEGER, PARAMETER :: fpoption=FLOWOBE          ! how to treat the floodplain

INTEGER(iprec), PARAMETER :: ITMAX = 60                    ! maximum iterations
INTEGER(iprec), PARAMETER :: MAXNET = 10
INTEGER(iprec), PARAMETER :: SIZED = 50   ! default size for arrays
INTEGER(iprec), PARAMETER :: NODES = 3,NV = 2  
INTEGER(iprec), PARAMETER :: NPAR_ARTH = 300,NPAR2_ARTH = 300    ! controll parallelization
INTEGER(4),PARAMETER ::     BGCOLOR=#000000      ! window's background color
                                                                 ! 16 and 8, respectively, in NUMERICAL RECIPES for F90

REAL(prec),PARAMETER :: TWOTHD=0.66666666666666666667_prec ! 2./3.
REAL(prec),PARAMETER :: ZERO = 0.0_prec, HALF = 0.5_prec, ONE = 1.0_prec, TWO = 2.0_prec

REAL(prec),PARAMETER :: TINY = 1.E-10_prec
REAL(prec),PARAMETER :: LARGE = 1.E+10_prec
REAL(prec),PARAMETER :: LARGELARGE=2.3E+200_prec
REAL(prec),PARAMETER :: TINYTINY = 2.3E-308_prec !2.225073858507201E-308

END MODULE parm_mod